Skip to content
Start here

Put Script Tags

client.workersForPlatforms.dispatch.namespaces.scripts.tags.update(stringdispatchNamespace, stringscriptName, TagUpdateParams { account_id, body } params, RequestOptionsoptions?): SinglePage<TagUpdateResponse>
PUT/accounts/{account_id}/workers/dispatch/namespaces/{dispatch_namespace}/scripts/{script_name}/tags

Put script tags for a script uploaded to a Workers for Platforms namespace.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts Write
ParametersExpand Collapse
dispatchNamespace: string

Name of the Workers for Platforms dispatch namespace.

scriptName: string

Name of the script, used in URLs and route configuration.

params: TagUpdateParams { account_id, body }
account_id: string

Path param: Identifier.

maxLength32
body: Array<string> | null

Body param: Tags associated with the Worker.

ReturnsExpand Collapse
TagUpdateResponse = string

Put Script Tags

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const tagUpdateResponse of client.workersForPlatforms.dispatch.namespaces.scripts.tags.update(
  'my-dispatch-namespace',
  'this-is_my_script-01',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353', body: ['my-team', 'my-public-api'] },
)) {
  console.log(tagUpdateResponse);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    "my-tag"
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    "my-tag"
  ],
  "success": true
}